Investors, warrants & staking

Get Investor Warrant Detail

Returns one bare warrant row by ID for a SUB_INVESTOR.

GEThttps://api.toku.com/tga/get-investor-warrant-detail

Not available to API keys.

curl --request GET \
  --url 'https://api.toku.com/tga/get-investor-warrant-detail?warrantID=%3CwarrantID%3E' \
  --header 'Authorization: Bearer <token>'
200 response
{
  "warrantID": "string",
  "roleInOrgID": "string",
  "warrantName": "string",
  "investorEntityID": "string",
  "warrantDescription": "string",
  "warrantStatus": "DRAFT",
  "warrantConfigurationID": "string",
  "firmName": "string",
  "amount": 0,
  "price": 0,
  "totalValue": 0,
  "issueDate": "string",
  "expirationDate": "string",
  "lockupPeriodMonths": 0,
  "lockupFrequencyType": "MONTHLY",
  "unlockDateOverride": "string",
  "agreementSignedAt": "string",
  "exerciseNoticeTermsHash": "string",
  "exerciseNoticeEnvelopeID": "string",
  "exerciseNoticeEnvelopeCompletedAt": "string",
  "exerciseNoticeSignedAt": "string",
  "paidAt": "string",
  "settledAt": "string",
  "createdAt": "string",
  "updatedAt": "string",
  "legacyMigratedAt": "string",
  "legacyModelID": 0,
  "isSigned": true,
  "isPaid": true,
  "isExercised": true,
  "isUnderLockup": true,
  "isOffPlatform": true,
  "isTerminated": true,
  "warrantLabel": "string",
  "documents": [
    {
      "supersededAt": "string",
      "documentID": "string",
      "roleInOrgID": "string",
      "investorEntityID": "string",
      "documentName": "string",
      "documentDescription": "string",
      "documentType": "WARRANT_AGREEMENT",
      "fileID": "string",
      "signedAt": "string",
      "archivedAt": "string",
      "createdAt": "string",
      "updatedAt": "string",
      "deletedAt": "string",
      "grantID": "string",
      "warrantID": "string",
      "legacyMigratedAt": "string",
      "legacyModelID": 0,
      "visibleToRole": true,
      "visibleToClientAdmin": true
    }
  ],
  "paymentTransfers": [
    {
      "paymentTransferID": "string",
      "roleInOrgID": "string",
      "investorEntityID": "string",
      "warrantID": "string",
      "paymentMethod": "WIRE_TRANSFER",
      "amount": 0,
      "name": "string",
      "transactionID": "string",
      "createdAt": "string",
      "updatedAt": "string"
    }
  ],
  "tags": [
    {
      "warrantTagID": "string",
      "name": "string",
      "type": "geography",
      "isActive": true,
      "createdAt": "string",
      "updatedAt": "string",
      "roleInOrgID": "string",
      "warrantID": "string"
    }
  ],
  "roleInOrg": {
    "roleInOrgID": "string",
    "orgID": "string",
    "role": "string",
    "person": {
      "personID": "string",
      "givenName": "string",
      "familyName": "string",
      "fullName": "string"
    }
  }
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Query parameters

warrantIDstringrequired

Response

200Successful response
warrantIDstringrequired
roleInOrgIDstringrequired
warrantNamestringrequired
investorEntityIDstring | nullrequired
warrantDescriptionstring | nullrequired
warrantStatusstringrequired

Available options: DRAFT, AGREEMENT_SENT, AGREEMENT_SIGNED, EXERCISE_NOTICE_SENT, EXERCISE_NOTICE_SIGNED, EXERCISE_ELIGIBLE, PENDING_PAYMENT_VERIFICATION, PAID, IN_LOCKUP, SETTLED, PENDING_SETTLEMENT

warrantConfigurationIDstringrequired
firmNamestring | nullrequired
amountnumberrequired
pricenumber | nullrequired
totalValuenumber | nullrequired
issueDatestringrequired
expirationDatestring | nullrequired
lockupPeriodMonthsinteger | nullrequired
lockupFrequencyTypestringrequired

Available options: MONTHLY, QUARTERLY, SEMIANNUALLY, YEARLY, CUSTOM, DAILY, WEEKLY

unlockDateOverridestring | nullrequired
agreementSignedAtstring | nullrequired
exerciseNoticeTermsHashstring | nullrequired
exerciseNoticeEnvelopeIDstring | nullrequired
exerciseNoticeEnvelopeCompletedAtstring | nullrequired
exerciseNoticeSignedAtstring | nullrequired
paidAtstring | nullrequired
settledAtstring | nullrequired
createdAtstringrequired
updatedAtstringrequired
legacyMigratedAtstring | nullrequired
legacyModelIDinteger | nullrequired
isSignedboolean | nullrequired
isPaidboolean | nullrequired
isExercisedboolean | nullrequired
isUnderLockupboolean | nullrequired
isOffPlatformboolean | nullrequired
isTerminatedboolean | nullrequired
warrantLabelstring | nullrequired
documentsobject[]required
Show child attributes
supersededAtstring | nullrequired
documentIDstringrequired
roleInOrgIDstringrequired
investorEntityIDstring | nullrequired
documentNamestringrequired
documentDescriptionstring | nullrequired
documentTypestringrequired

Available options: WARRANT_AGREEMENT, EXERCISE_NOTICE, PAYMENT_PROOF, GRANT_AGREEMENT, EIGHTY_THREE_B_ELECTION, EIGHTY_THREE_B_ELECTION_RECIEPT, RECIEPTS, SETTLEMENT_STATEMENT, SECTION_431_ELECTION_EMPLOYEE, SECTION_431_ELECTION_EMPLOYER, OTHER

fileIDstringrequired
signedAtstring | nullrequired
archivedAtstring | nullrequired
createdAtstringrequired
updatedAtstringrequired
deletedAtstring | nullrequired
grantIDstring | nullrequired
warrantIDstring | nullrequired
legacyMigratedAtstring | nullrequired
legacyModelIDinteger | nullrequired
visibleToRolebooleanrequired
visibleToClientAdminbooleanrequired
paymentTransfersobject[]required
Show child attributes
paymentTransferIDstringrequired
roleInOrgIDstringrequired
investorEntityIDstring | nullrequired
warrantIDstringrequired
paymentMethodstringrequired

Available options: WIRE_TRANSFER, WALLET

amountnumberrequired
namestringrequired
transactionIDstringrequired
createdAtstringrequired
updatedAtstringrequired
tagsobject[]required
Show child attributes
warrantTagIDstringrequired
namestringrequired
typestringrequired

Available options: geography, cost_centre, custom

isActivebooleanrequired
createdAtstringrequired
updatedAtstringrequired
roleInOrgIDstringrequired
warrantIDstringrequired
roleInOrgobjectrequired
Show child attributes
roleInOrgIDstringrequired
orgIDstringrequired
rolestringrequired
personobjectrequired
Show child attributes
personIDstringrequired
givenNamestringrequired
familyNamestringrequired
fullNamestringrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits